import bb.cascades 1.0

Page {
    id: pickerSheet
    titleBar: TitleBar {
        id: titleBarObject
        title: qsTr("Select Picture") + Retranslate.onLanguageChanged
        dismissAction: ActionItem {
            title: qsTr("Cancel") + Retranslate.onLanguageChanged
        }
    }
    content:
    Container {
        objectName: "ListContainer"
        background: _UIStyleManager.backgroundColor
        verticalAlignment: VerticalAlignment.Fill
        horizontalAlignment: horizontalAlignment.Fill
        topPadding: 6
        leftPadding: 6
        rightPadding: 6
        bottomPadding: 6
        ListView {
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: horizontalAlignment.Fill
            objectName: "listView"
            layout: GridListLayout {
                horizontalCellSpacing: 6
                verticalCellSpacing: 6
                columnCount: 3
            }
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
        }
    }
}
