import bb.cascades 1.0

Container
{
    property string contactName: ""
    property string time: ""
    
    objectName: "header"
    
    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }
    
    layoutProperties: StackLayoutProperties {
        spaceQuota: -1
    }
    
    Label {
        objectName: "contact"
        textStyle.fontSize: FontSize.Medium
        textStyle.fontWeight: FontWeight.W600
        textStyle.color: _UIStyleManager.primaryTextColor
        content.flags: TextContentFlag.Emoticons

        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
        
        horizontalAlignment: HorizontalAlignment.Left
        topMargin: 0; bottomMargin: 0; leftMargin: 0; rightMargin: 0
        text: contactName
    }
    
    Label {
        objectName: "timestamp"
        textStyle.fontSize: FontSize.XSmall

        layoutProperties: StackLayoutProperties {
            spaceQuota: -1
        }
        
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        topMargin: 0; bottomMargin: 0;
        textStyle.color: _UIStyleManager.timestampTextColor
        text: time
    }
}
