import bb.cascades 1.0

Container {
    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    bottomPadding: 10
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        topPadding: 10
        bottomPadding: 10
        leftPadding: 20
        rightPadding: 20
        ImageView {
            objectName: "icon"
            topMargin: 0
            bottomMargin: 0
            leftMargin: 0
            rightMargin: 0
            verticalAlignment: VerticalAlignment.Center
        }
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            verticalAlignment: VerticalAlignment.Fill
            horizontalAlignment: HorizontalAlignment.Fill
            leftPadding: 20
            Container {
                verticalAlignment: VerticalAlignment.Fill
                horizontalAlignment: HorizontalAlignment.Fill
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                Label {
                    objectName: "titleLabel"
                    text: ""
                    layoutProperties: StackLayoutProperties {
                        spaceQuota: 1
                    }
                    textStyle.fontSize: FontSize.Small
                    topMargin: 0
                    bottomMargin: 0
                    leftMargin: 0
                    multiline: true
                    content.flags: TextContentFlag.Emoticons
                }
                Label {
                    objectName: "timestampLabel"
                    text: ""
                    textStyle.fontSize: FontSize.XSmall
                    topMargin: 0
                    bottomMargin: 0
                    rightMargin: 0
                }
            }
            Label {
                id: descriptionLabel
                objectName: "descriptionLabel"
                textStyle.fontSize: FontSize.XSmall
                topMargin: 0
                bottomMargin: 0
                leftMargin: 0
                rightMargin: 0
                visible: descriptionLabel.text.length != 0
                text: ""
                content.flags: TextContentFlag.Emoticons
            }
        }
    }
    DefaultSeparator {
        horizontalAlignment: HorizontalAlignment.Fill
    }
}
