import bb.cascades 1.0

Container
{
    property string timeValue: ""
    property string inviteMessageValue: ""
    
    bottomPadding: 10
    
    Container {
    
    rightPadding: 20
    leftPadding: 20
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
        
    Container {
        objectName: "bubble"

        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        topPadding: 10
        bottomPadding: 10
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        Label {
	        objectName: "inviteMessage"

	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
	        
            horizontalAlignment: HorizontalAlignment.Left
	        multiline: true
            textStyle.fontSize: FontSize.Small
            textStyle.color: _UIStyleManager.secondaryTextColor
            content.flags: TextContentFlag.Emoticons
	        text: inviteMessageValue
	    }
	    
	    Label {
	        objectName: "timestamp"
            textStyle.fontSize: FontSize.XSmall
            textStyle.color: _UIStyleManager.timestampTextColor
            layoutProperties: StackLayoutProperties {
                spaceQuota: -1
	        }

            horizontalAlignment: HorizontalAlignment.Right
            verticalAlignment: VerticalAlignment.Center
            text: timeValue
	    }
    }
}

    DefaultSeparator {
        horizontalAlignment: HorizontalAlignment.Fill
    }
}
