import bb.cascades 1.0

Container
{
    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    
    Container
    {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
            
    	layout: DockLayout {}

        preferredHeight: _UILayoutManager.defaultAvatarSize

        ImageView {
		    objectName: "background"
		    imageSource: "asset:///images/title_bar/core_titlebar_gradient.png"
		    horizontalAlignment: HorizontalAlignment.Fill
		    verticalAlignment: VerticalAlignment.Fill
		}
        
		ImageView {
		    objectName: "background2"
		    imageSource: "asset:///images/title_bar/core_titlebar_gradient_overlay.png"
		    horizontalAlignment: HorizontalAlignment.Fill
		    verticalAlignment: VerticalAlignment.Fill
        }

		background: Color.White

    	Container
    	{
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            	        
	        layout: StackLayout {
	            orientation: LayoutOrientation.LeftToRight
	        }
		    leftPadding: _UILayoutManager.defaultPadding
            rightPadding: _UILayoutManager.defaultPadding

            MultiPersonChatAvatar {
                id: multiPersonChatAvatar
                objectName: "mpcAvatar"
		        horizontalAlignment: HorizontalAlignment.Left
		        verticalAlignment: VerticalAlignment.Center
            }

            ListView
            {
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center

                layout: StackListLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                
                preferredHeight: _UILayoutManager.defaultAvatarSize

                objectName: "conferenceMembers"
            }
	    }
    }

//    Container
//    {
//        background: _UIStyleManager.separatorColor
//        preferredHeight: 1
//        horizontalAlignment: HorizontalAlignment.Fill
//        verticalAlignment: VerticalAlignment.Bottom
//    }
}