import bb.cascades 1.0

BaseCustomDialog 
{
    id: ignoreLayer
    
    actionLabel: qsTr("Leave") + Retranslate.onLanguageChanged
     
    contentContainer:Container
    {
        leftPadding: 20
        rightPadding: 20
        topPadding:20
        bottomPadding:20
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        }

        Container {
            layout: StackLayout {//need this container to make label field horizontally filled 
                orientation: LayoutOrientation.LeftToRight
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
	        Label
	        {
	            objectName: "lastMemberLabel"
	            textStyle.color: Color.create("#121212")
	            textStyle.fontSize: FontSize.Medium
	            text: qsTr("You are the last member, so your leaving will delete the group and erase all related data. This action cannot be undone.") + Retranslate.onLanguageChanged
	            multiline: true
	            visible:false
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill

                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
            }
        }
        
        Container // block container
        {
            objectName: "deleteGroupOption"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            Container
            {
                
                layout: StackLayout {
                    orientation: LayoutOrientation.LeftToRight
                }
                
                Label
                {
                    objectName: "dialogBlockLabel"
                    textStyle.color: Color.create("#121212")
                    textStyle.fontSize: FontSize.Medium
                    text: qsTr("Delete Group?") + Retranslate.onLanguageChanged

                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Top

                    layoutProperties: StackLayoutProperties {
                        spaceQuota:1
                    }
                }
                
                DialogCheckBox {
                    imageToggleButtonInstance.objectName: "deleteCheckBox"
                    horizontalAlignment: HorizontalAlignment.Right
                    verticalAlignment: VerticalAlignment.Top
                }                
            }
            
            Label
            {
                objectName: "dialogBlockDescription"
                textStyle.color: Color.create("#121212")
                textStyle.fontSize: FontSize.Medium
                text: qsTr("All group data, including the group calendar, lists, pictures, and chats, will be deleted for all members.  This action cannot be undone.") + Retranslate.onLanguageChanged
                multiline: true
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
        } // end block container        
    }
}
