import bb.cascades 1.0

BaseCustomDialog
{
    property string descriptionLabel: "X will be added to your blocked list"
    property bool  showDescription: false
    actionLabel: qsTr("Delete") + Retranslate.onLanguageChanged
    
    contentContainer: Container
    {
	    layout: StackLayout {
	        orientation: LayoutOrientation.TopToBottom
	    }
	    
        Container
        {
            
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            
            Label {
                objectName: "lblBlockInvites"
	            textStyle.color: Color.create("#121212")
                textStyle.fontSize: FontSize.Medium
	            text: qsTr("Block Future Invitations") + Retranslate.onLanguageChanged
	            multiline: true
	            
	            layoutProperties: StackLayoutProperties {
                    spaceQuota:1
                }
	            
				horizontalAlignment: HorizontalAlignment.Left
				verticalAlignment: VerticalAlignment.Center;
	        }
            DialogCheckBox {
                imageToggleButtonInstance.objectName: "ignore"
                topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
                
                horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Center;
                
                imageToggleButtonInstance.onCheckedChanged: {
                    showDescription = checked
                }
            }
        }
        
        
        Label {
            objectName: "deleteDialogBlockDescription"
            textStyle.color: Color.create("#121212")
            textStyle.fontSize: FontSize.Medium
            text: descriptionLabel
            multiline: true
            visible: showDescription
            content.flags: TextContentFlag.Emoticons
            
			horizontalAlignment: HorizontalAlignment.Fill;
			verticalAlignment: VerticalAlignment.Fill;
			
			topMargin: 25; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
        }
    }
}