import bb.cascades 1.0

Container // File/Picture Transfer 
{
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    layout: DockLayout {}
    
    background: Color.create("#333333")

    Container {
    	background: Color.create("#545454")
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Top
        preferredHeight: 1
    }
    
    Container
    {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        ImageView {
            objectName: "fileTransferIcon"
            imageSource: "asset:///images/MainScreen/ConversationPane/fileTransferIcon.png"
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center                    
      	
        	minHeight: 120
        	minWidth: 120
        	preferredWidth: 120
        	preferredHeight: 120
        	
            leftMargin: 0
            topMargin: 0
            rightMargin: 0
            bottomMargin: 0 
        }
                    
        Label {
              objectName: "filename"
              text: "FileName.txt"
              
              leftMargin: 5
              topMargin: 0
              rightMargin: 0
              bottomMargin: 0 
  		      
  		      textStyle.color: Color.White
  		      textStyle.fontSize: FontSize.Medium
  		      
		      layoutProperties: StackLayoutProperties {
		          spaceQuota: 1
		      }
		      
		      horizontalAlignment: HorizontalAlignment.Fill
		      verticalAlignment: VerticalAlignment.Center
        }
        
        Label {
            objectName: "filesize"
            text: "(6.49MB)"
            
            leftMargin: 0
            topMargin: 0
            rightMargin: 0
            bottomMargin: 0
            
            textStyle.color: Color.White
            textStyle.fontSize: FontSize.Small
            
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Center
        }
        
        Container {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            topPadding: 30
            leftPadding: 30
            rightPadding: 30
            bottomPadding: 30
            ImageButton {
                objectName: "cancelFileTransfer"
                defaultImageSource: "asset:///images/MainScreen/ConversationPane/toast_delete.png"
            }
        }
    
    }

    Container {
    	background: Color.Black;
    	horizontalAlignment: HorizontalAlignment.Fill
    	verticalAlignment: VerticalAlignment.Bottom
    	preferredHeight: 1
    } 
}