import bb.cascades 1.0

Dialog
{
	id: aboutAdminDialog
	
	Container {
	    layout: DockLayout {}
	    horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        	    
	    ImageView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
	        
	        imageSource: "asset:///images/Dialogs/dialog_bg.png"
	    }
		Container
		{
		    layout:DockLayout {    
		    }
		    leftPadding: 40
            rightPadding: 20            
		    
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
		    
		    Container
		    {	    
			    rightPadding: 20
			    horizontalAlignment: HorizontalAlignment.Fill
			    verticalAlignment: VerticalAlignment.Top
                
			    Container {
			        layout:DockLayout {    
		            }

                    horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill
		            ImageView {
		                imageSource: "asset:///images/Dialogs/dialog_header_bg.png"
		                horizontalAlignment: HorizontalAlignment.Fill
        			    verticalAlignment: VerticalAlignment.Fill
		            }
		            
		            Container
        		    {
        	            leftPadding: 20
        	            rightPadding: 20
        	            
        	            horizontalAlignment: HorizontalAlignment.Fill
    	                verticalAlignment: VerticalAlignment.Center
    	                
                        Label {
                            objectName: "aboutTitle"
                            text: qsTr("About Group Administrators") + Retranslate.onLanguageChanged
                            horizontalAlignment: HorizontalAlignment.Left
                            verticalAlignment: VerticalAlignment.Center

                            textStyle.color: Color.White
                            textStyle.base: SystemDefaults.TextStyles.PrimaryText
                            multiline: false
                        }

                    }
			    }
			    ScrollView{
                    scrollViewProperties {
                        scrollMode: ScrollMode.Vertical
                        overScrollEffectMode: OverScrollEffectMode.None
                    }
                    Container{
				        layout:DockLayout{}
				        horizontalAlignment: HorizontalAlignment.Fill
			            verticalAlignment: VerticalAlignment.Fill
					    ImageView {
	    		            horizontalAlignment: HorizontalAlignment.Fill
	    		            verticalAlignment: VerticalAlignment.Fill
		    		        imageSource: "asset:///images/Dialogs/dialog_body.png"
		    		    }
					    Container {
					        topPadding: 40
					        leftPadding: 20
					        rightPadding: 20
					        bottomPadding: 40
					        
					        horizontalAlignment: HorizontalAlignment.Fill
					        verticalAlignment: VerticalAlignment.Fill
					    
				    		    Label {
			    	               horizontalAlignment: HorizontalAlignment.Fill
			    	               verticalAlignment: VerticalAlignment.Center
				    	           
				    	           multiline: true
				    	           objectName: "aboutAdminRights"
				    	           text: qsTr("Administrators can do the following actions:") + Retranslate.onLanguageChanged
	                               textStyle.color: Color.create("#121212")
	                               textStyle.fontSize: FontSize.Medium
				    	           topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 20;
				    	       } 
				    	       
				    	       Container{
				    	           layout: StackLayout {
	    	                           orientation: LayoutOrientation.LeftToRight
		                   	       }
		                   	       Label {
		                   	          text: qsTr("-"); 
		                   	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		                   	       }
					    	       Label {
		   			    	          horizontalAlignment: HorizontalAlignment.Fill
		   			    	          
		   			    	          multiline: true
		   			    	          text: qsTr("Update the group description") + Retranslate.onLanguageChanged
		                              textStyle.color: Color.create("#121212")
		                              textStyle.fontSize: FontSize.Medium
		   			    	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		   			    	      }
		   			    	  }
				    	       Container{
				    	           layout: StackLayout {
		   	                           orientation: LayoutOrientation.LeftToRight
		                   	       }
		                   	       Label {
		                   	          text: qsTr("-");
		                   	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0; 
		                   	       }
					    	       Label {
					    	          horizontalAlignment: HorizontalAlignment.Fill
					    	          
					    	          multiline: true
					    	          text: qsTr("Make someone else an admin") + Retranslate.onLanguageChanged
		                              textStyle.color: Color.create("#121212")
		                              textStyle.fontSize: FontSize.Medium
					    	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
					    	      }
					    	  }
				          
				    	      Container{
	  			    	           layout: StackLayout {
	      	                           orientation: LayoutOrientation.LeftToRight
	  	                   	       }
	  	                   	       Label {
	  	                   	          text: qsTr("-"); 
	  	                   	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	  	                   	       }
					    	      Label {
				    	             horizontalAlignment: HorizontalAlignment.Fill
					    	         
					    	         multiline: true
					    	         text: qsTr("Prevent members from inviting others") + Retranslate.onLanguageChanged
		                             textStyle.color: Color.create("#121212")
		                             textStyle.fontSize: FontSize.Medium
					    	         topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
					    	     }
					    	 }
				         
				    		 Container{
	 			    	           layout: StackLayout {
	     	                           orientation: LayoutOrientation.LeftToRight
	 	                   	       }
	 	                   	       Label {
	 	                   	          text: qsTr("-"); 
	 	                   	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	 	                   	       }
					    		 Label {
				    		        horizontalAlignment: HorizontalAlignment.Fill
					    		    
					    		    multiline: true
					    		    text: qsTr("Delete chats and pictures") + Retranslate.onLanguageChanged
		                            textStyle.color: Color.create("#121212")
		                            textStyle.fontSize: FontSize.Medium
					    		    topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
					    		}
				    		}
				    		
				    		Container{
				    	           layout: StackLayout {
	    	                           orientation: LayoutOrientation.LeftToRight
		                   	       }
		                   	       Label {
		                   	          text: qsTr("-"); 
		                   	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		                   	       }
					    		Label {
				    		        horizontalAlignment: HorizontalAlignment.Fill
					    		    
					    		    multiline: true
					    		    text: qsTr("Change picture details") + Retranslate.onLanguageChanged
		                            textStyle.color: Color.create("#121212")
		                             textStyle.fontSize: FontSize.Medium
					    		    topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
					    		}
				    		}
				    		
				    		Container{
			    	           layout: StackLayout {
		                           orientation: LayoutOrientation.LeftToRight
		               	       }
		               	       Label {
		               	          text: qsTr("-"); 
		               	          topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		               	       }
					    		Label {
				    		        horizontalAlignment: HorizontalAlignment.Fill
					    		    
					    		    multiline: true
					    		    text: qsTr("Delete the group (and all data)") + Retranslate.onLanguageChanged
		                            textStyle.color: Color.create("#121212")
		                            textStyle.fontSize: FontSize.Medium
					    		    topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
					    		}
				    		}
						}
					}
                }
				Container {
			        layout:DockLayout {    
		            }

                    horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill
		            
		            ImageView {
		                id: buttonBackgroundImg
		                imageSource: "asset:///images/Dialogs/dialog_button_bg.png"
		                horizontalAlignment: HorizontalAlignment.Fill
        			    verticalAlignment: VerticalAlignment.Fill
		            }
		            
	                Container
	            	{
	            		layout: DockLayout {}
	            		
	            		horizontalAlignment: HorizontalAlignment.Fill
	            		verticalAlignment: VerticalAlignment.Fill	            		
	            		          					        
	                    leftPadding: 20; rightPadding: 20; topPadding: 0; bottomPadding: 20;
	                    
                        DialogButton
                        {
                            id: actionButton				                
                            imageButtonInstance.objectName: "aboutDismiss"
                            
                            dialogButtonLabel: qsTr("Close") + Retranslate.onLanguageChanged
                            
                            horizontalAlignment: HorizontalAlignment.Center
                            verticalAlignment: VerticalAlignment.Center
                            
                            imageButtonInstance.onClicked: {
                                aboutAdminDialog.close()
                            }
                        }
	                }
			    }   
			}
		}
    }
}
