import bb.cascades 1.0

Sheet {
    id: groupAddListSheet
    content: Page {
        titleBar: TitleBar {
            objectName: "titleBar"
            title: qsTr("Add List") + Retranslate.onLanguageChanged
            dismissAction: ActionItem {
                objectName: "cancelAction"
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
                onTriggered: {
                    groupAddListSheet.close()
                }
            }
            acceptAction: ActionItem {
                objectName: "createAction"
                title: qsTr("Create") + Retranslate.onLanguageChanged
            }
        }
        
        content: Container {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            Container {
	            objectName: "titleContainer"
	            //topPadding: 0
	            //bottomPadding: 0
	            rightPadding: 20
	            leftPadding: 20
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Center
	        }
        }
    }
}