import bb.cascades 1.0

Container 
{
	Container 
	{
	    layout: DockLayout{}
	    leftPadding: 0
	    rightPadding: 0
	    topPadding: 0
	    bottomPadding: 0
	    
        horizontalAlignment: HorizontalAlignment.Fill
    
		ImageView {
		    horizontalAlignment: HorizontalAlignment.Fill
		    verticalAlignment: VerticalAlignment.Fill
	        imageSource: "asset:///images/GroupsGeneral/GroupHeaderBG.png"
		}
	    Container 
    	{
    	    leftPadding: 20
		    Label {
		       objectName: "adminTitle_NonAdmin" 
		       leftPadding: 10
		       bottomPadding: 10
		       text: qsTr("Administration") + Retranslate.onLanguageChanged
		       textStyle.base: SystemDefaults.TextStyles.TitleText
	           textStyle.color: Color.White
	          horizontalAlignment: HorizontalAlignment.Fill
	          verticalAlignment: VerticalAlignment.Center
		    }
		}
	}
	Container 
	{                                       
	    leftPadding: 20
	    rightPadding: 20
	    topPadding: 10
	    bottomPadding: 0

        horizontalAlignment: HorizontalAlignment.Fill
	    
	    Label {
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Center
	        
	        multiline: true
	        objectName: "notGroupAdminLabel"
	        text: qsTr("You are not an administrator for this group. Groups can have multiple administrators.") + Retranslate.onLanguageChanged
	        textStyle.base: SystemDefaults.TextStyles.BodyText
	        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	    }
	    
	    Label {
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Center
	        
	        multiline: true
	        objectName: "learnAboutAdminLabel_NonAdmin"
	        text: qsTr("Learn more about group administrators") + Retranslate.onLanguageChanged
	        textStyle.color: _UIStyleManager.textLinkColor
	        textStyle.base: SystemDefaults.TextStyles.BodyText
	        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 10;
	    }
	    
	    Label {
            horizontalAlignment: HorizontalAlignment.Left
            verticalAlignment: VerticalAlignment.Center
            
            multiline: true
            objectName: "howToGetAdminRightsLabel"
            text: qsTr("To manage this group, you can enter the administration password.") + Retranslate.onLanguageChanged
            textStyle.base: SystemDefaults.TextStyles.BodyText
            topMargin: 40; leftMargin: 0; rightMargin: 0; bottomMargin: 10;
        }
	            
	    Container // Admin password
	    {
	        objectName: "enterAdminPasswordContainer"
	        visible: true;
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	        
	        layout: StackLayout  {
	            orientation: LayoutOrientation.LeftToRight
	        }	         
	                                      
            leftPadding: 0
            rightPadding: 20
            topPadding: 20
            bottomPadding: 10
	        
	        Label {
	            layoutProperties: StackLayoutProperties {
	                spaceQuota: 2
	            }
	            horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Center
	            
	            multiline: true
	            objectName: "AdminPasswordLabel_NonAdmin"
	            text: qsTr("Administration Password") + Retranslate.onLanguageChanged
	            textStyle.base: SystemDefaults.TextStyles.BodyText
	            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	        }
	    
	        Button
	        {
	            layoutProperties: StackLayoutProperties {
	                spaceQuota: 1
	            }
	            horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Center
	            
	            objectName: "adminPasswordButton_NonAdmin"
	            text: qsTr("Enter") + Retranslate.onLanguageChanged
	            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	        }            
	    }
	    
	    Label
	    {
	        objectName: "contactAdminForPrivileges"
	        text: qsTr("To manage this group, contact a group administrator.") + Retranslate.onLanguageChanged
	        visible: false
	        multiline: true
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center

	        textStyle.base: SystemDefaults.TextStyles.BodyText  
	        topPadding: 30      
	    }
	}
}
