import bb.cascades 1.0

Page {
    
    actions: [
        ActionItem {
            imageSource: "asset:///images/ic_add.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "inviteAction"
            title: qsTr("Add") + Retranslate.onLanguageChanged
        }
    ]
      
      titleBar: TitleBar
      {
          objectName: "titleBar"
          title : qsTr("Administrators") + Retranslate.onLanguageChanged
      } 
       
    content: Container {        	    
	    Container // drop shadow dock layout
	    {
	    	layout: DockLayout {}
	    	
			layoutProperties: StackLayoutProperties {
				spaceQuota: 1
			}
			horizontalAlignment: HorizontalAlignment.Fill;
			verticalAlignment: VerticalAlignment.Fill;
			
			ListView {
		       objectName: "adminList" 
		    }
					    
		    ImageView // title bar dropshadow
		    {
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Top;
	
		        imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
		        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
		    }
		}
    }
}
