import bb.cascades 1.0
import bb.cascades.multimedia 1.0

/**
 * Contains a QR code.
 */

Container {
    objectName: "barcodeViewContainer"

    horizontalAlignment: HorizontalAlignment.Center
    verticalAlignment: VerticalAlignment.Center

    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }

    topPadding: 5

    QrCodeView {
        preferredWidth: 400
        preferredHeight: 400
        minWidth: 400
        minHeight: 400
        objectName: "barcodeImage"
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        topMargin: 0
        leftMargin: 0
        rightMargin: 0
        bottomMargin: 0
    }
}