import bb.cascades 1.0

Page
{
    id: page
    actions: [
        ActionItem {
            title: qsTr("Start New Chat") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_add.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "startChat"
        }
    ]
    	 
	content: Container {
	    objectName: "container"
	    layout : StackLayout {
	    }
	            
	    ListView {
	       objectName: "listView"
	       signal deleteChat(string conversationUri);
	       layoutProperties: StackLayoutProperties {
	           spaceQuota: 1
	       }
	       horizontalAlignment: HorizontalAlignment.Fill
           verticalAlignment: VerticalAlignment.Fill
           
	       listItemComponents: [
	           ListItemComponent {
	               type: ""
	               GroupChatListItem {
	                   id: chatlistitem
	                   name: ListItemData.isGeneral ? qsTr("General Discussion") + Retranslate.onLanguageChanged : ListItemData.name
	                   time: ListItemData.timestamp
	                   lastMessage: ListItemData.lastMessage
	                   showSplat: ListItemData.showSplat
	                   highlighted: ListItem.selected
	                                       
                       contextActions: [
                           ActionSet {
                               id: actionSet
                               title: ListItemData.name
                               DeleteActionItem {
                                   id: actionItem
                                   title: qsTr("Delete Chat") + Retranslate.onLanguageChanged
									objectName: "deleteChat"
									enabled: ListItemData.canDelete && ListItemData.isAdmin
									onTriggered: {
									    chatlistitem.ListItem.view.deleteChat(ListItemData.groupConversationUri);
									}
   								}
                           }
                       ]
	               }
	           }
	       ]
	   }  // ListView
	}
}