import bb.cascades 1.0

Container 
{
	Container 
	{
	    layout: DockLayout{}
	    leftPadding: 0
	    rightPadding: 0
	    topPadding: 0
	    bottomPadding: 0
	    
        horizontalAlignment: HorizontalAlignment.Fill
		ImageView {
		    horizontalAlignment: HorizontalAlignment.Fill
		    verticalAlignment: VerticalAlignment.Fill
	        imageSource: "asset:///images/GroupsGeneral/GroupHeaderBG.png"
		}
	    Container 
    	{
    	    leftPadding: 20
		    Label {
		       objectName: "generalTitle" 
		       leftPadding: 10
		       //topPadding: 10
		       text: qsTr("General") + Retranslate.onLanguageChanged
		       textStyle.base: SystemDefaults.TextStyles.TitleText
		       textStyle.color: Color.White
	          horizontalAlignment: HorizontalAlignment.Fill
	          verticalAlignment: VerticalAlignment.Center
	      
		    }
		}
	}
	Container 
	{
	    leftPadding: 20
	    rightPadding: 20
	    topPadding: 0
	    bottomPadding: 0
	    
	    Container // message list integration
	    {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
	        
	        layout: StackLayout  {
	            orientation: LayoutOrientation.LeftToRight	
	        }      
	                                         
            leftPadding: 0
            rightPadding: 0
            topPadding: 20
            bottomPadding: 30
	        
	        Label {
	            layoutProperties: StackLayoutProperties {
	                spaceQuota: 2
	            }
	            horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Center
	            multiline: true
	            objectName: "messageListIntegrationLabel"
	            text: qsTr("Show Chats in BlackBerry Hub") + Retranslate.onLanguageChanged
	            textStyle.base: SystemDefaults.TextStyles.BodyText
	            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	        }
	    
	        ToggleButton
	        {
	            layoutProperties: StackLayoutProperties {
	                spaceQuota: 1
	            }
	            horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Center
	            objectName: "messageListIntegrationToggle"
	            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
	        }            
	    }
	}
}
