import bb.cascades 1.0

Page
{
    id: page
    actions: [
        ActionItem {
            title: qsTr("Start New Chat") + Retranslate.onLanguageChanged
            imageSource: "file:///usr/share/icons/ic_start_bbm_chat.png"
            objectName: "startChat"
        },
        ActionItem {
            title: qsTr("Add Picture") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/GroupLobbyPage/ic_add_picture.png"
            objectName: "addPicture"
        },
        ActionItem {
            title: qsTr("Add List") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/GroupLobbyPage/ic_add_list.png"
            objectName: "addList"
        },
        ActionItem {
            title: qsTr("Add Event") + Retranslate.onLanguageChanged
            imageSource: "file:///usr/share/icons/ic_add_event.png"
            objectName: "addEvent"
        },
        ActionItem {
            title: qsTr("View Group Profile") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/ic_profile_bbm.png"
            objectName: "viewGroupProfile"
        },
        ActionItem {
            title: qsTr("Group Settings") + Retranslate.onLanguageChanged
            objectName: "openGroupSettings"
        },
        DeleteActionItem {
            title: qsTr("Leave Group") + Retranslate.onLanguageChanged
            imageSource: "asset:///images/GroupsGeneral/ic_chat_leave.png"
            objectName: "leaveGroup"
        }
    ]
    

	content: Container {
        objectName: "container"
	    background: Color.White
	    layout: StackLayout {
	    }
	    // We need this stack layout because the ProfileBannerForGroup 
	    // is inserted by cpp and we want it to be on top.
	    
	    ScrollView {
	        objectName: "liveTileScrollView"
	        scrollViewProperties {
               scrollMode: ScrollMode.Vertical
               overScrollEffectMode: OverScrollEffectMode.None
           }
		    Container {
		        objectName: "liveTileContainer"
		        // This dock layout is used to keep the live tiles centered
		        layout: DockLayout {
		        }
		        
		        horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
		    } // Dock layout
	    }
	} // stack layout
	
} // page


