import bb.cascades 1.0

Container {
    property string numberOfMembersText: "1"
    layout: DockLayout {}
    //maxHeight: 50
    ImageView // background
    {     
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        imageSource: "asset:///images/MainScreen/cells/bg_header.png"
    }
     
         Container {
             layout:StackLayout {
                 orientation: LayoutOrientation.LeftToRight
             }
             leftPadding: 20
             rightPadding: 20
            Label {
                objectName: "header"
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                text: qsTr("Members") + Retranslate.onLanguageChanged
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Center
                textStyle.color: _UIStyleManager.primaryTextColor
	            textStyle.fontWeight: FontWeight.W600
	            textStyle.fontSize: FontSize.XSmall 
            }
            Label {
                objectName: "numberOfMembers"
                text: numberOfMembersText
                horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Center
                textStyle.color: _UIStyleManager.primaryTextColor
	            textStyle.fontWeight: FontWeight.W600
	            textStyle.fontSize: FontSize.XSmall
            }
        }
        ImageView // blue horizontal line
 {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
            imageSource: "asset:///images/MainScreen/cells/header_horizontal_line.png"
        }
    }

