import bb.cascades 1.0

Dialog
{
	id: infoDialog
    property string actionLabel: qsTr("OK")
    
	Container {
	    layout: DockLayout {}
	    horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
	            	    
	    ImageView {
	        horizontalAlignment: HorizontalAlignment.Fill
             verticalAlignment: VerticalAlignment.Fill
	        
	        imageSource: "asset:///images/Dialogs/dialog_bg.png"
	    }
		Container
		{
		    layout:DockLayout {    
		    }
		    leftPadding: 40
            rightPadding: 20 
            topPadding: 116 // the top edge of the dialog should be attached to the bottom of the top banner
            
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Top
		    
		    Container
		    {	    
			    rightPadding: 20
                 horizontalAlignment: HorizontalAlignment.Fill
                 verticalAlignment: VerticalAlignment.Fill
	             
			    Container {
			        layout:DockLayout {    
		            }
	                 horizontalAlignment: HorizontalAlignment.Fill
	                 verticalAlignment: VerticalAlignment.Fill
		                 
		            ImageView {
		                imageSource: "asset:///images/Dialogs/dialog_header_bg.png"
		                horizontalAlignment: HorizontalAlignment.Fill
    	                 verticalAlignment: VerticalAlignment.Fill
		            }
		            
		            Container
        		    {
        	            leftPadding: 20
        	            rightPadding: 20
        	            
        	            horizontalAlignment: HorizontalAlignment.Fill
    	                verticalAlignment: VerticalAlignment.Center
		            
			            Label {
				            objectName: "infoTitle"
				            text: "This is a title"
		                    horizontalAlignment: HorizontalAlignment.Left
		                    verticalAlignment: VerticalAlignment.Center
	
			                textStyle.color: Color.White
                            textStyle.base: SystemDefaults.TextStyles.PrimaryText
                        }
				   } 
			    }

                ScrollView {
                    scrollViewProperties {
                        scrollMode: ScrollMode.Vertical
                        overScrollEffectMode: OverScrollEffectMode.None
                    }
	                Container{
				        layout:DockLayout{}
				        horizontalAlignment: HorizontalAlignment.Fill
		                verticalAlignment: VerticalAlignment.Fill
		                
					    ImageView {
	    		            horizontalAlignment: HorizontalAlignment.Fill
	    		            verticalAlignment: VerticalAlignment.Fill
		    		        
		    		        imageSource: "asset:///images/Dialogs/dialog_body.png"
		    		    }
	                    Container {
	                        topPadding: 20
	                        leftPadding: 20
	                        rightPadding: 20
	                        bottomPadding: 20
	                        horizontalAlignment: HorizontalAlignment.Fill
	                        verticalAlignment: VerticalAlignment.Fill
	
	                        Label {
	                            horizontalAlignment: HorizontalAlignment.Fill
	                            verticalAlignment: VerticalAlignment.Center
	
	                            multiline: true
	                            objectName: "infoContent"
	                            text: "This is informational content."
	                            textStyle.color: Color.create("#121212")
	                            textStyle.fontSize: FontSize.Medium
	                            topMargin: 0
	                            leftMargin: 0
	                            rightMargin: 0
	                            bottomMargin: 0
	                        }
	                    }
	                }
                }

				Container {
			        layout:DockLayout {    
		            }
		            objectName: "okButton"
		            horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                     
		            ImageView {
		                id: buttonBackgroundImg
		                imageSource: "asset:///images/Dialogs/dialog_button_bg.png"
		                horizontalAlignment: HorizontalAlignment.Fill
	                    verticalAlignment: VerticalAlignment.Fill
		            }
		            
		            Container
	            	{
	            		layout: DockLayout {}
	            		
	            		horizontalAlignment: HorizontalAlignment.Fill
	            		verticalAlignment: VerticalAlignment.Fill	            		
	            		            				                					        
	                    leftPadding: 20; rightPadding: 20; topPadding: 0; bottomPadding: 20;
				       
                        DialogButton
                        {
		                    id: actionButton				                
		                    imageButtonInstance.objectName: "okButtonLabel"
		                    
		                    dialogButtonLabel: actionLabel + Retranslate.onLanguageChanged
		                    
		                    horizontalAlignment: HorizontalAlignment.Center
		                    verticalAlignment: VerticalAlignment.Center
		                    
		                    imageButtonInstance.onClicked: {
		                        infoDialog.close()
		                    }
                        }
	               }
			    }   
			}
		}
    }		
}