import bb.cascades 1.0

// Optimized version of Message.qml for the common case where we know the
// row does not contain a header

Container {
    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }
       
    Container { // bubble
        objectName: "bubble"
        layout: StackLayout {
            orientation: LayoutOrientation.RightToLeft
        }
                
        rightPadding: _UILayoutManager.bubbleInnerPadding + 7
        leftPadding: _UILayoutManager.bubbleInnerPadding + 5
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
                    
		Container {
		    objectName: "messageContainer"
	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center		    
		    
		    layout: StackLayout {
		        orientation: LayoutOrientation.LeftToRight
		    }

		    Container {
		        topPadding: 6
		        rightPadding: 6
			    ImageView {
			        objectName: "statusIcon"

		            verticalAlignment: VerticalAlignment.Top
		            horizontalAlignment: VerticalAlignment.Fill
		            leftMargin: 0; rightMargin: 0; topMargin: 0; bottomMargin: 0;
			    }
			}
		    
		    Container {
		        objectName: "textBackgroundContainer"
		        layout: DockLayout {}
		        horizontalAlignment: HorizontalAlignment.Fill
		        verticalAlignment: VerticalAlignment.Fill
		        layoutProperties: StackLayoutProperties {
		        	spaceQuota: 1
           		}
		    }
		}
    }
}
