import bb.cascades 1.0

Sheet
{
    id: selectCategoryLayer
    
    content: Page
    {
        titleBar: TitleBar
        {
            title : qsTr("Select Category") + Retranslate.onLanguageChanged
            
            dismissAction: ActionItem {
                title: qsTr("Cancel") + Retranslate.onLanguageChanged
                
                onTriggered: {
                    selectCategoryLayer.close()
                }
            }
        }
        
	    actions: [
	        ActionItem {
	            objectName: "newCategoryAction"
	            ActionBar.placement: ActionBarPlacement.OnBar
	            title: qsTr("Add Category") + Retranslate.onLanguageChanged
	            imageSource: "asset:///images/ic_add.png"
	        }
	    ]
        
        content: Container
        {
            ListView
            {
                layoutProperties: StackLayoutProperties {
                    spaceQuota: 1
                }
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                objectName: "listView"
                
    			onTriggered: {
    				clearSelection()
    				select(indexPath);
    			}
            }
        }
    }
}
