import bb.cascades 1.0

Container
{
    layout: DockLayout {}      
    objectName: "mpcAvatar"
    
    maxWidth: _UILayoutManager.defaultAvatarSize
    maxHeight: _UILayoutManager.defaultAvatarSize
    preferredWidth: _UILayoutManager.defaultAvatarSize
    preferredHeight: _UILayoutManager.defaultAvatarSize

    Container //default mpc avatar which has the number of participants
    {
        layout: DockLayout {}
        objectName: "defaultAvatar"
        visible: true;
        
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        ImageView
        {
            imageSource: "asset:///images/MainScreen/ConversationPane/conference/conferenceCount.png"

            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center

            preferredWidth: _UILayoutManager.mpcBannerAvatarSize
            preferredHeight: _UILayoutManager.mpcBannerAvatarSize

            scalingMethod: ScalingMethod.AspectFit
            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
        }
        
        Container
        {
            bottomPadding: 15
            rightPadding: 10
            
            Label {
                text: "1"
                objectName: "numMembers"
                textStyle.color: Color.Black
                textStyle.base: SystemDefaults.TextStyles.SmallText
                textStyle.textAlign: TextAlign.Left
            }
            
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
        }
    }     
}