import bb.cascades 1.0

Container {

    property alias showEmptyUpdateContainer: profileTimeLineView.showEmptyContainer

    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    DefaultSeparator {
    }
    Container {
        //        horizontalAlignment: HorizontalAlignment.Fill
        //        verticalAlignment: VerticalAlignment.Fill
        leftPadding: _UILayoutManager.defaultPadding
        rightPadding: _UILayoutManager.defaultPadding
        topPadding: _UILayoutManager.defaultPadding
        bottomPadding: _UILayoutManager.defaultPadding
        background: _UIStyleManager.containerColor
        SegmentedControl {
            objectName: "segmentedControl"
            options: Option {
                id: details
                text: qsTr("Details") + Retranslate.onLanguageChanged
                value: "details"
                selected: true
            }
            Option {
                id: updates
                text: qsTr("Updates") + Retranslate.onLanguageChanged
                value: "updates"
            }
            Option {
                id: apps
                text: qsTr("Apps") + Retranslate.onLanguageChanged
                value: "apps"
            }
            onSelectedIndexChanged: {
                detailsContainer.visible = selectedIndex == 0
                profileTimeLineView.visible = selectedIndex == 1
                appViewContainer.visible = selectedIndex == 2
            }
        }
    }
    DefaultSeparator {
    }
    Container {
        horizontalAlignment: HorizontalAlignment.Fill
        background: _UIStyleManager.backgroundColor

		Container{
            id: detailsContainer
            objectName: "detailsContainer"
            visible: true

        }

        ProfileTimeLineView { // the container for the Updates list
            id: profileTimeLineView
            visible: false
        }
        ProfileBoxTimelineView { // the container for the Apps list
            id: appViewContainer
            visible: false
        }
    }
}