import bb.cascades 1.0

Container
{	
	property string updateContentText: "asfasdfdsf"
	property string timeStampText: "12:24"
	
	horizontalAlignment: HorizontalAlignment.Fill
    
    layout: DockLayout {
    }  
	
	Container
	{
	    layout: StackLayout {
	        orientation: LayoutOrientation.TopToBottom
	    }
	    
	    leftPadding: 20
		rightPadding: 20
		topPadding: 15
	    bottomPadding: 15
	    
	    horizontalAlignment: HorizontalAlignment.Fill
	    verticalAlignment: VerticalAlignment.Fill
	    Label {
	        textStyle.fontSize: FontSize.Small
	        textStyle.color: _UIStyleManager.primaryTextColor
	        text: updateContentText
	        multiline: true
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Fill
	        topMargin: 0
	        bottomMargin: 0
	        leftMargin: 0
	        rightMargin: 0
	        content.flags: TextContentFlag.Emoticons
	    }
	    
	    Container //the container for the time label and TPA label
	    {
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Center
	        layout: StackLayout {
	            orientation: LayoutOrientation.LeftToRight
	        }
	        leftPadding: 0
	        rightPadding: 0
	        topPadding: 0
	        bottomPadding: 0
	        Label {
	            textStyle.fontSize: FontSize.XSmall
	            text: timeStampText
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
	            leftMargin: 0
	            rightMargin: 0
	            bottomMargin: 0
	            topMargin: 0
	            textStyle.color: _UIStyleManager.timestampTextColor
	        }
	        Label {
	            objectName: "tpaText"
	            textStyle.fontSize: FontSize.XSmall
	            textStyle.fontWeight: FontWeight.Bold
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
	            leftMargin: 0
	            rightMargin: 0
	            bottomMargin: 0
	            topMargin: 0
	            visible: false
	            textStyle.base: SystemDefaults.TextStyles.SubtitleText
	        }
	    }
	}	
}