import bb.cascades 1.0

Container
{
    property string labelText: "Sample"
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Top

    layout: StackLayout {
        orientation: LayoutOrientation.LeftToRight
    }

    leftPadding: 20; rightPadding: 20; bottomPadding: 10; topPadding: 10;

    Label
    {
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }

        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Center
        multiline: true

        //textStyle.color: Color.Black
        textStyle.base: SystemDefaults.TextStyles.BodyText
        topMargin: 0; bottomMargin: 0; leftMargin: 0; rightMargin: 0;
        text: labelText
    }
}