import bb.cascades 1.0

SetupBase
{
    topContent: Container
	{
		horizontalAlignment: HorizontalAlignment.Fill;
		verticalAlignment: VerticalAlignment.Fill;
			
		ImageView {
		    imageSource: "asset:///images/SetupPage/setupComplete.png"
            horizontalAlignment: HorizontalAlignment.Center;
            verticalAlignment: VerticalAlignment.Center;
            leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
        }

        Label {
            multiline: true
		    textStyle.color: _UIStyleManager.primarySetupTextColor
		    textStyle.fontSize: FontSize.Large
		    textStyle.textAlign: TextAlign.Center
		    text: qsTr("Complete") + Retranslate.onLanguageChanged
		    horizontalAlignment: HorizontalAlignment.Center;
		    leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
		}
		
		Label {
            multiline: true
		    textStyle.color: _UIStyleManager.secondarySetupTextColor
		    textStyle.fontSize: FontSize.Small
		    textStyle.textAlign: TextAlign.Center
		    text: qsTr("Stay in touch like never before with BlackBerry Messenger.") + Retranslate.onLanguageChanged
		    horizontalAlignment: HorizontalAlignment.Center;
		    leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
		}
    } // end content
    
    bottomContent: Button {
        objectName: "Continue"
         text: qsTr("OK") + Retranslate.onLanguageChanged
         
         horizontalAlignment: HorizontalAlignment.Fill;
         verticalAlignment: VerticalAlignment.Bottom
    }
    
} // Page Content
