import bb.cascades 1.0

SetupBase
{
    topContent: Container
	{
		horizontalAlignment: HorizontalAlignment.Fill;
		verticalAlignment: VerticalAlignment.Fill;
		
	    Label {
	        multiline: true
	        textStyle.color: _UIStyleManager.secondarySetupTextColor
	        textStyle.fontSize: FontSize.Small
	        textStyle.textAlign: TextAlign.Center
	        text: qsTr("You are signed in with the following BlackBerry ID:") + Retranslate.onLanguageChanged
	        horizontalAlignment: HorizontalAlignment.Center;
	        leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
	    }
	    
	    Label {
	        objectName: "email"
	        multiline: true
	        textStyle.color: _UIStyleManager.primarySetupTextColor
	        textStyle.fontSize: FontSize.Large
	        textStyle.textAlign: TextAlign.Center
	        horizontalAlignment: HorizontalAlignment.Center;
	        leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
	    }
	    
	    Label {
	        multiline: true
	        textStyle.color: _UIStyleManager.secondarySetupTextColor
	        textStyle.fontSize: FontSize.Small
	        textStyle.textAlign: TextAlign.Center
	        text: qsTr("If you're an existing BBM user, you can restore BBM. If you're new to BBM, continue to get started.") + Retranslate.onLanguageChanged
	        horizontalAlignment: HorizontalAlignment.Center;
	        leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
	    }
	    
	    Label {
	        objectName: "LearnMore"
	        multiline: true
	        textStyle.color: Color.create("#0073bc")
	        textStyle.fontSize: FontSize.Small
	        textStyle.fontWeight: FontWeight.W400
	        textStyle.textAlign: TextAlign.Center
	        textStyle.fontFamily: "Slate Pro Medium"
	        text: qsTr("Learn more about restoring BBM data.") + Retranslate.onLanguageChanged
	        horizontalAlignment: HorizontalAlignment.Center
	        leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
	    }
    } // end content
    
    bottomContent: Container {
        
		horizontalAlignment: HorizontalAlignment.Fill;
		verticalAlignment: VerticalAlignment.Fill;
        
        Button {
	        objectName: "Desktop"
	        text: qsTr("Restore using Device Switch") + Retranslate.onLanguageChanged
	        
            horizontalAlignment: HorizontalAlignment.Fill;
            leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
	    }
     
	    Button {
	        objectName: "Email"
	        text: qsTr("Restore using Email") + Retranslate.onLanguageChanged
	        
	        horizontalAlignment: HorizontalAlignment.Fill;
	        leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
	    }   
	    
        Button {
	        objectName: "Continue"
	        text: qsTr("Continue") + Retranslate.onLanguageChanged
	        
            horizontalAlignment: HorizontalAlignment.Fill;
            leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
	    }
    }
    
} // Page Content
