import bb.cascades 1.0

SetupBase
{
   property string bbidEmail: ""

    topContent: Container
	{
		horizontalAlignment: HorizontalAlignment.Fill;
		verticalAlignment: VerticalAlignment.Fill;
		
        Label {
            multiline: true
            textStyle.color: _UIStyleManager.secondarySetupTextColor
		    textStyle.fontSize: FontSize.Small
		    textStyle.textAlign: TextAlign.Center
		    horizontalAlignment: HorizontalAlignment.Center;
		    text: qsTr("The BlackBerry ID")
		    leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
		}
		
        Label {
            objectName: "email"
            multiline: true
		    textStyle.color: _UIStyleManager.primarySetupTextColor
		    textStyle.fontSize: FontSize.Large
		    textStyle.textAlign: TextAlign.Center
		    horizontalAlignment: HorizontalAlignment.Center;
		    text: bbidEmail
		    leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
		}
		
        Label {
            multiline: true
            textStyle.color: _UIStyleManager.secondarySetupTextColor
		    textStyle.fontSize: FontSize.Small
		    textStyle.textAlign: TextAlign.Center
		    horizontalAlignment: HorizontalAlignment.Center;
		    text: qsTr("is already associated with BBM on another device.")
		    leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
		}
		
		Label {
		    multiline: true
		    textStyle.color: _UIStyleManager.secondarySetupTextColor
		    textStyle.fontSize: FontSize.Small
		    textStyle.textAlign: TextAlign.Center
		    text: qsTr("Do you want to switch your BBM information to your current device?") + Retranslate.onLanguageChanged
		    horizontalAlignment: HorizontalAlignment.Center;
		    leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
		}
    } // end content
    
    bottomContent: Container {
		horizontalAlignment: HorizontalAlignment.Center;
		verticalAlignment: VerticalAlignment.Bottom;
		
		layout: StackLayout {
		    orientation: LayoutOrientation.LeftToRight
		}    
		
	    Button {
	        objectName: "Exit"
	        text: qsTr("Exit") + Retranslate.onLanguageChanged
	    }
	    
	    Button {
	        objectName: "Switch"
	        text: qsTr("Switch BBM") + Retranslate.onLanguageChanged
	    }
    }
    
} // Page Content