import bb.cascades 1.0

SetupBase
{
    topContent: Container
	{
		horizontalAlignment: HorizontalAlignment.Fill;
		verticalAlignment: VerticalAlignment.Fill;
			
        ImageView {
		    imageSource: "asset:///images/SetupPage/setupError.png"
            horizontalAlignment: HorizontalAlignment.Center;
        }
        
		Label {
            multiline: true
		    textStyle.color: _UIStyleManager.primarySetupTextColor
		    textStyle.fontSize: FontSize.Large
		    textStyle.textAlign: TextAlign.Center
		    text: qsTr("Cannot switch BBM to the current device.") + Retranslate.onLanguageChanged
		    bottomMargin: _UILayoutManager.defaultPadding
		    horizontalAlignment: HorizontalAlignment.Center;
		}
        							
		Label {
            multiline: true
		    textStyle.color: _UIStyleManager.secondarySetupTextColor
		    textStyle.fontSize: FontSize.Small
		    textStyle.textAlign: TextAlign.Center
		    text: qsTr("A newer version of BBM is required.") + Retranslate.onLanguageChanged
		    horizontalAlignment: HorizontalAlignment.Center;
		}
    } // end content
    
    bottomContent: Container 
    {
        
        horizontalAlignment: HorizontalAlignment.Center;
        verticalAlignment: VerticalAlignment.Fill;
        		
		layout: StackLayout {
		    orientation:  LayoutOrientation.LeftToRight
		}    
		
	    Button {
	        objectName: "Exit"
	        text: qsTr("Exit") + Retranslate.onLanguageChanged
	        horizontalAlignment: HorizontalAlignment.Left;
	    }
	    
	    Button {
	        objectName: "Upgrade"
	        text: qsTr("Download") + Retranslate.onLanguageChanged
	        horizontalAlignment: HorizontalAlignment.Right;
	    }
    }
    
} // Page Content