import bb.cascades 1.0

Container
{
    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    
	Container
	{
        horizontalAlignment: HorizontalAlignment.Left
        verticalAlignment: VerticalAlignment.Center
	    
	    layout: StackLayout
	    {
	        orientation: LayoutOrientation.LeftToRight
	    }
	    
        leftPadding: 20
        rightPadding: 20
        topPadding: 20
        bottomPadding: 20
	    
        ImageView { // delete icon
            objectName: "deleteIcon"
            imageSource: "asset:///images/MainScreen/CustomStatusEditor/CustomStatusEditorHeaderBusyIcon.png"
            scalingMethod: ScalingMethod.AspectFit
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill

            topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
            visible: false
        } // end delete icon
	    
	    Label // name label
	    {
	        objectName: "name"
	        textStyle.base: SystemDefaults.TextStyles.TitleText
	        textStyle.color: Color.create("#262626")
	        layoutProperties: StackLayoutProperties {
	            spaceQuota: 1
	        }
	        horizontalAlignment: HorizontalAlignment.Fill
	        verticalAlignment: VerticalAlignment.Center
	        
	        topMargin: 0; leftMargin: 20; rightMargin: 0; bottomMargin: 0;
	    } // end name label
	}

    DefaultSeparator {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    }
}