import bb.cascades 1.0

Dialog {
    id: dialog
    property string labelText: ""
    
    Container {
        property string labelText: ""
        layout: DockLayout {
        }
        ImageView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            imageSource: "asset:///images/Dialogs/dialog_bg.png"
            opacity: 0.0
        }
        Container {
            objectName: "content"
            layout: DockLayout {
            }
            preferredWidth: 400
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            ImageView {
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                imageSource: "asset:///images/Dialogs/ToastBackground.png"
            }
            Container {
                leftPadding: 15
                rightPadding: 15
                topPadding: 20
                bottomPadding: 20
                preferredWidth: 400
                horizontalAlignment: HorizontalAlignment.Center
                verticalAlignment: VerticalAlignment.Center
                
                ActivityIndicator {
                    id: myActivityIndicator                        
                    minHeight: 160                                            
                    horizontalAlignment: HorizontalAlignment.Center;
                    running: true;
                }
               
                Label {                            
                    objectName: "toastText"
                    horizontalAlignment: HorizontalAlignment.Center
                    verticalAlignment: VerticalAlignment.Center
                    text: labelText
                    textStyle.color: Color.White
                    textStyle.base: SystemDefaults.TextStyles.SmallText
                    textStyle.textAlign: TextAlign.Center
                    multiline: true
                }
            }
        }
    }
}
