import bb.cascades 1.0

Page {
    actions: [
        ActionItem {
            objectName: "change"
            imageSource: "file:///usr/share/icons/bb_action_set.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            title: qsTr("Replace Picture") + Retranslate.onLanguageChanged
        },
        DeleteActionItem {
            objectName: "remove"
            ActionBar.placement: ActionBarPlacement.OnBar
            title: qsTr("Remove") + Retranslate.onLanguageChanged
        }
    ]
    titleBar: TitleBar {
        title: qsTr("BBM Display Picture") + Retranslate.onLanguageChanged
    }
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        }

        Container {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            layout: DockLayout {}
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }

            ImageView {
                objectName: "avatarImageView"
                imageSource: "asset:///images/defaultAvatar_large.png"
                scalingMethod: ScalingMethod.AspectFit
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
            }
        }
    }
}