import bb.cascades 1.0
import bb.cascades.multimedia 1.0

Container{
    layout: DockLayout {}
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
	Container
	{
	    objectName: "barcodeViewContainer"
	    
	    horizontalAlignment: HorizontalAlignment.Center
	    verticalAlignment: VerticalAlignment.Center
	    
	    layout: StackLayout {
	        orientation: LayoutOrientation.TopToBottom
	    }
	    
	    topPadding: 5
	    
	    QrCodeView
		{
		   preferredWidth: 400
		   preferredHeight: 400
		   minWidth: 400
		   minHeight: 400
		   objectName: "barcodeImage"
		   horizontalAlignment: HorizontalAlignment.Center
		   verticalAlignment: VerticalAlignment.Center
		   topMargin: 0
		   leftMargin: 0
		   rightMargin: 0
		   bottomMargin: 0
		}
	       
	   Container
	   {
	       layout: DockLayout {}
	       
	       horizontalAlignment: HorizontalAlignment.Fill
	       verticalAlignment: VerticalAlignment.Fill
	       
		   Container
		   {
		       preferredWidth: 350
		       
		       objectName: "pinContainer"
		       horizontalAlignment: HorizontalAlignment.Center
		       verticalAlignment: VerticalAlignment.Top
		       layout: StackLayout {
		           orientation: LayoutOrientation.LeftToRight
		       }
		       
		       Label {
		           horizontalAlignment: HorizontalAlignment.Left
		           verticalAlignment: VerticalAlignment.Fill
		           text: qsTr("PIN:") + Retranslate.onLanguageChanged
		           textStyle.color: _UIStyleManager.primaryTextColor
		           textStyle.base: SystemDefaults.TextStyles.BodyText
		           topMargin: 0
		           leftMargin: 0
		           rightMargin: 0
		           bottomMargin: 0
		           layoutProperties: StackLayoutProperties {
		               spaceQuota: 1
		           }
		       }
		       
		       Label {
		           horizontalAlignment: HorizontalAlignment.Right
		           verticalAlignment: VerticalAlignment.Fill
		           objectName: "pinValueLabel"
		           textStyle.color: _UIStyleManager.primaryTextColor
		           textStyle.base: SystemDefaults.TextStyles.BodyText
		           topMargin: 0
		           leftMargin: 0
		           rightMargin: 0
		           bottomMargin: 0
		       }
		   }
	   }
	}
}