import bb.cascades 1.0

Sheet {
    id: barcodeSheet
    objectName: "barcodeSheet"

    content: Page
    {
	    titleBar: TitleBar
	    {
	        objectName: "barcodeSheetTitleBar"
	        title : qsTr("Barcode") + Retranslate.onLanguageChanged

            dismissAction: ActionItem {
                objectName: "barcodeSheetCloseAction"
                title: qsTr("Close") + Retranslate.onLanguageChanged

                onTriggered: {
                    barcodeSheet.close()
                }
            }
        }

        actions: [

            ActionItem {
                objectName: "copyPinAction"
                imageSource: "asset:///images/ic_copy.png"
                ActionBar.placement: ActionBarPlacement.OnBar
                title: qsTr("Copy PIN") + Retranslate.onLanguageChanged
            }
            
        ]

        content: BarcodeControl {}
    }
}