import bb.cascades 1.0

Container
{
    layout: DockLayout {
    }

    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill

    preferredHeight: _UILayoutManager.defaultAvatarSize

    leftPadding: 10
    rightPadding: 10
    
    ImageView
    {
        objectName: "avatar"
        imageSource: "asset:///images/defaultAvatar.png"

        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center

        preferredWidth: _UILayoutManager.mpcBannerAvatarSize
        preferredHeight: _UILayoutManager.mpcBannerAvatarSize

        scalingMethod: ScalingMethod.AspectFit
        topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
    }
}
