import bb.cascades 1.0

Page {
    property bool enableDone: false
    property string cancelLabel: qsTr("Cancel")
    property string acceptLabel: qsTr("Done")
    property string titleLabel: qsTr("Select")
    property string categoryName
    property bool visibleAllAddedLabel: false
    property bool enableSelectAllAction: true
    /*actions: [
     * ActionItem {
     * imageSource: "asset:///images/MainScreen/overflow/selectAll.png"
     * objectName: "selectAllAction"
     * ActionBar.placement: ActionBarPlacement.OnBar
     * title: qsTr("Select All") + Retranslate.onLanguageChanged
     * 
     * onTriggered: {
     * listView.selectAll();
     * }
     * 
     * enabled: !visibleAllAddedLabel && enableSelectAllAction
     * }
     * ]*/
    titleBar: TitleBar {
        id: titleBarObject
        title: titleLabel + Retranslate.onLanguageChanged
        dismissAction: ActionItem {
            objectName: "cancelAction"
            title: cancelLabel + Retranslate.onLanguageChanged
        }
        acceptAction: ActionItem {
            objectName: "doneAction"
            title: acceptLabel + Retranslate.onLanguageChanged
            enabled: enableDone
        }
    }

    resizeBehavior: PageResizeBehavior.None

    content: ContactPickerControl {
    }
}
