import bb.cascades 1.0

Container {
    layout: DockLayout {}
    rightPadding: 60
    leftPadding: 20
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    Container {
        objectName: "bubble"
        layout: StackLayout {
            orientation: LayoutOrientation.TopToBottom
        }
        topPadding: 10
        rightPadding: 10
        leftPadding: 10
        bottomPadding: 10
        
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
                        
            Label {
    	        objectName: "inviteMessage"
    	        layoutProperties: StackLayoutProperties {
    	            spaceQuota: 1
    	        }
	            horizontalAlignment: HorizontalAlignment.Left
    	        multiline: true
    	        textStyle.base: SystemDefaults.TextStyles.SubtitleText	        
    	    }
        }
        
        Container {
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            topPadding: 10
            
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            Button {
                objectName: "reinvite"
                text: qsTr("Re-invite") + Retranslate.onLanguageChanged
                horizontalAlignment: HorizontalAlignment.Right
                verticalAlignment: VerticalAlignment.Center
            }
            
            Button {
                objectName: "deleteContact"
                text: qsTr("Delete Contact") + Retranslate.onLanguageChanged
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Center
            }
        }
    }

    DefaultSeparator { // bottom horizontal line separator
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    }
}
