import bb.cascades 1.0

Container {
    Container {
	    layout: DockLayout {
	    }
	    ImageView {
	        imageSource: "asset:///images/ProfileBannerBackground.png"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
	    }
	    Container {
	        objectName: "HeaderContainer"
	        preferredWidth: 800
	        preferredHeight: 200
	        
	        layout: StackLayout {
	            orientation: LayoutOrientation.LeftToRight
	        }
	
            verticalAlignment: VerticalAlignment.Fill
	        
	        Button {
				horizontalAlignment: HorizontalAlignment.Left;
				verticalAlignment: VerticalAlignment.Center;
			
	            objectName: "cancelButton"
	            preferredWidth: 20
	
				topMargin: 40; leftMargin: 0; rightMargin: 20; bottomMargin: 40;
	        }
	
	        Label {
				layoutProperties: StackLayoutProperties {
					spaceQuota: 1
				}
				horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Center;
			
	            objectName: "title"
	            textStyle.color: Color.DarkGray
	            textStyle.base: SystemDefaults.TextStyles.TitleText
				
				topMargin: 40; leftMargin: 0; rightMargin: 0; bottomMargin: 40;
	        }
	    }
	}
    Container {
	    layout: DockLayout {
	    }
	    Container {
	        objectName: "ListContainer"
	        preferredWidth: 800
	        background: Color.White
	        layout: DockLayout {
	        }
            verticalAlignment: VerticalAlignment.Fill
	        
	        ListView {
	            objectName: "listView"
		        preferredWidth: 800;
		    	preferredHeight: 1024;
		    	//stickyHeaders: true;
		    	
		    	layout: GridListLayout {
		    	    headerMode: ListHeaderMode.Sticky;
		    	    columnCount: 3
		    	}
		    }
	    }
	    
	    // Dropshadow 
	    ImageView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Top
	        imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
	    }
	}
}
