import bb.cascades 1.0

Page
{
    actions: [
        ActionItem {
            imageSource: "asset:///images/MainScreen/ConversationPane/ConversationPaneSend.png"
            ActionBar.placement: ActionBarPlacement.OnBar
            objectName: "sendMessage"
            enabled: false
        },
                
        ActionItem {
            imageSource: "asset:///images/MainScreen/ConversationPane/ConversationPaneClearChat.png"
            objectName: "clearChat"
        },
        
        ActionItem {
            imageSource: "asset:///images/ic_copy.png"
            objectName: "copyChat"
        },
        
        ActionItem {
            imageSource: "asset:///images/MainScreen/overflow/email.png"
            objectName: "emailChat"
        },
		
		ActionItem {
            imageSource: "asset:///images/MainScreen/overflow/email.png"
            objectName: "messageHistory"
			title: qsTr("Chat History") + Retranslate.onLanguageChanged
        }

    ]
    content: Container // page content
    {
	    layout: DockLayout {}
	    objectName: "rootContainer"
	    
	    Container {
		    objectName: "container"
		    layout : StackLayout {
	         }
	    
		    Container {
		       layoutProperties: StackLayoutProperties {
		           spaceQuota: 1
		       }
		       horizontalAlignment: HorizontalAlignment.Fill
	           verticalAlignment: VerticalAlignment.Fill
	           
			   Container {
			       objectName: "listViewContainer"
			       layoutProperties: StackLayoutProperties {
			           spaceQuota: 1
			       }
			       horizontalAlignment: HorizontalAlignment.Fill
		           verticalAlignment: VerticalAlignment.Fill
				   
			   }  // ListView
			   Container
			   {
					horizontalAlignment: HorizontalAlignment.Fill
					verticalAlignment: VerticalAlignment.Fill

					leftPadding: 10
					Label
					{
						visible: false
						objectName: "discussionRemovedLabel"
						verticalAlignment: VerticalAlignment.Bottom
						text: qsTr("Chat discussion removed") + Retranslate.onLanguageChanged
						textStyle.fontStyle: FontStyle.Italic
						textStyle.color: Color.create("#555555")
					}
				}
		        Container {
		            layout: DockLayout {}
	   		        objectName: "stackContainer"
	   		        
		            ImageView { // dropshadow
		   		        imageSource: "asset:///images/bottomDropShadow.png"
		   		        objectName: "dropshadow"
	   		            horizontalAlignment: HorizontalAlignment.Fill
	   		            verticalAlignment: VerticalAlignment.Top
		   		    }
		   		}
			} // end conversation history container
			} // end of container
	}
}
