import bb.cascades 1.0

Sheet
{
    id: sheet
    
	Page
	{
	    id: page
	    
	    titleBar: TitleBar
	    {
	        id: titleBarObject
	        title : qsTr("Select Discussion")
	        
	        dismissAction: ActionItem {
	            objectName: "cancelAction"
	            title: qsTr("Cancel")
	        }
	    }
	    	    
		content: Container {
		    objectName: "container"
		    layout : StackLayout {
		    }
		    
		    ListView {
		       objectName: "listView"
		       layoutProperties: StackLayoutProperties {
		           spaceQuota: 1.0
		       }
		       listItemComponents: [
		           ListItemComponent {
		               type: ""
		               GroupChatListItem {
		                   name: ListItemData.isGeneral ? qsTr("General Discussion") : ListItemData.name
		                   time: ListItemData.timestamp
		                   lastMessage: ListItemData.lastMessage
		                   showSplat: ListItemData.showSplat
		                   highlighted: ListItem.selected
		               }
		           }
		       ]
		   }  // ListView
		}
	}
}
