import bb.cascades 1.0

Container {
    layout: StackLayout {
        orientation: LayoutOrientation.TopToBottom
    }
    topPadding: 0
    bottomPadding: 0
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Center

    Container {
	    layout: StackLayout {
	        orientation: LayoutOrientation.TopToBottom
	    }
        topPadding: 10
        bottomPadding: 10
        leftPadding: 10
        rightPadding: 10
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Center
    
	    Container {
		    layout: StackLayout {
		        orientation: LayoutOrientation.LeftToRight
		    }
            horizontalAlignment: HorizontalAlignment.Fill
            Label {
        	    layoutProperties: StackLayoutProperties {
        	        spaceQuota: 1
        	    }
                horizontalAlignment: HorizontalAlignment.Fill
                topMargin: 0
		        bottomMargin: 0
		        objectName: "groupEventNameTextArea"
		        text: "F1 Race f1 race fi race  race race race race "
		        textStyle.base: SystemDefaults.TextStyles.TitleText
                textStyle.color: _UIStyleManager.primaryTextColor
		        content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
		        textFormat: TextFormat.Plain
		    }
		    
            ImageView {
                objectName: "splat"
                visible: true
        	    layoutProperties: StackLayoutProperties {
        	        spaceQuota: -1
        	    }
                imageSource: "asset:///images/Splat.png"
            }
		}
	    Label {
	        topMargin: 0
	        bottomMargin: 0
	        objectName: "groupEventTimeTextArea"
	        text: "9:00am - 11:00am"
	        textStyle.base: SystemDefaults.TextStyles.BodyText
            textStyle.color: _UIStyleManager.secondaryTextColor
            horizontalAlignment: HorizontalAlignment.Fill
        }
	    Label {
	        topMargin: 0
	        bottomMargin: 0
	        objectName: "groupEventLocationTextArea"
	        text: "Real Sport Bar"
	        textStyle.base: SystemDefaults.TextStyles.BodyText
            textStyle.color: _UIStyleManager.timestampTextColor
	        content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	        textFormat: TextFormat.Plain
	        visible: false
            horizontalAlignment: HorizontalAlignment.Fill
        }
	}
    ImageView { //horizontal line separator
        objectName: "separator"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    
        imageSource: "asset:///images/MainScreen/cells/content_horizontal_line.png"
        topMargin: 0
        leftMargin: 0
        rightMargin: 0
        bottomMargin: 0
    }
}
