import bb.cascades 1.0

Sheet
{
    id: passwordSheet
        
    content: Page
	{
		titleBar: TitleBar
	    {
	        objectName: "titleBar"
	        title : qsTr("Invite") + Retranslate.onLanguageChanged
	        
	        dismissAction: ActionItem {
	            objectName: "cancelAction"
	            title: qsTr("Cancel") + Retranslate.onLanguageChanged
	            
	            onTriggered: {
	                passwordSheet.close()
	            }
	        }
	        
	        acceptAction: ActionItem {
	            objectName: "sendAction"
	            title: qsTr("Save") + Retranslate.onLanguageChanged
	            enabled: false
	        }
	    }
		
	    content:Container // drop shadow dock layout
	    {
	    	layout: DockLayout {}
	    	
			horizontalAlignment: HorizontalAlignment.Fill;
			verticalAlignment: VerticalAlignment.Fill;
			
			Container {
			    rightPadding: 20
		        leftPadding: 20
		        topPadding: 20
		        bottomPadding: 20
		        
		        horizontalAlignment: HorizontalAlignment.Fill;
				verticalAlignment: VerticalAlignment.Fill;
			    
			    Label {
				    objectName: "aboutPasswordLabel"
    				horizontalAlignment: HorizontalAlignment.Fill;
    				verticalAlignment: VerticalAlignment.Fill;
    				text: qsTr("Any group member who enters this password will become an administrator.") + Retranslate.onLanguageChanged
	    			multiline: true
	    			textStyle.base: SystemDefaults.TextStyles.BodyText
			    }
			    
				Container{
				    topPadding: 20
				    objectName: "passwordContainer"
				    horizontalAlignment: HorizontalAlignment.Fill
				    verticalAlignment: VerticalAlignment.Center
					Label {
					    objectName: "passwordLabel"
	    				horizontalAlignment: HorizontalAlignment.Fill;
	    				verticalAlignment: VerticalAlignment.Fill;

		    			textStyle.base: SystemDefaults.TextStyles.BodyText
		    			multiline: true
				    }
			    }
			    
			    Container {
			        objectName: "confirmPwdContainer"
			        topMargin: 30
				    Label {
					    objectName: "confirmPasswordLabel"
	    				horizontalAlignment: HorizontalAlignment.Fill;
	    				verticalAlignment: VerticalAlignment.Fill;
		    			visible: false
		    			multiline: true
		    			textStyle.base: SystemDefaults.TextStyles.BodyText
				    }

			    }
			    
//			    Container {
//                    topMargin: 20
//                    horizontalAlignment: HorizontalAlignment.Fill
//                    layoutProperties: StackLayoutProperties {
//           				spaceQuota: 1
//           			}
//                    layout: DockLayout {
//                    }
//                    Label {
//                        horizontalAlignment: HorizontalAlignment.Left
//                        objectName: "showPasswordLabel"
//                        textStyle.base: SystemDefaults.TextStyles.BodyText
//                        text: qsTr("Show Password") + Retranslate.onLanguageChanged
//                    }
//                    CheckBox {
//                        objectName: "showPasswordCheckBox"                        
//                        horizontalAlignment: HorizontalAlignment.Right                        
//                    }
//                }
			}
				
	    	ImageView
	    	{
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Top

                imageSource: "asset:///images/title_bar/core_titlebar_dropdown_shadow_top.png"
            }
	    } // end drop shadow dock layout
	}
}
