import bb.cascades 1.0

Container {

    layout: DockLayout {
    }

    ImageView {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill

        id: image
        objectName: "image"
        //imageSource: "asset:///images/QRCode.png"
        scalingMethod: ScalingMethod.AspectFill
        
     	preferredWidth: 248
        preferredHeight: 248
    }

    ImageView {
        objectName: "favorite"
        verticalAlignment: VerticalAlignment.Top
        horizontalAlignment: HorizontalAlignment.Left;
        visible: false
        imageSource: "asset:///images/GroupsGeneral/BBG_picture_star.png"
    }
    ImageView {
        objectName: "splat"
        verticalAlignment: VerticalAlignment.Top;
        horizontalAlignment: HorizontalAlignment.Right;
        visible: false
        imageSource: "asset:///images/Splat_48x48.png"
    }

    Container {
        layout: DockLayout {}
        
        leftPadding: 10

        horizontalAlignment: HorizontalAlignment.Left
        verticalAlignment: VerticalAlignment.Bottom

        objectName: "containerBubble"
        visible: false

	    ImageView {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill

            objectName: "imageBubble"
	        scalingMethod: ScalingMethod.Fill
	        imageSource: "asset:///images/GroupsGeneral/GroupCommentBubble.png"
	    }

	    Container {
	        layout: DockLayout {}
	        
            topPadding: 10
            leftPadding: 10
            rightPadding: 10
            bottomPadding: 25
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center

		    Label {
		        objectName: "labelNbComments"
		        opacity: 0.75
		        textStyle.fontSize: FontSize.Medium
		        textStyle.color: Color.create("#121212")
		    }
	    }
    }
}
