import bb.cascades 1.0

Page {
    id: groupSettingsPage
    
    titleBar: TitleBar
    {
        objectName: "titleBar"
        title : qsTr("Group Settings") + Retranslate.onLanguageChanged
    }
    	    
    content: ScrollView {
        Container
	    {
			horizontalAlignment: HorizontalAlignment.Fill;
			verticalAlignment: VerticalAlignment.Fill;
		
	        layout: DockLayout {}
                
	        Container {
	            objectName: "infoContainer"
	            layout: StackLayout {
	            }
	            layoutProperties: StackLayoutProperties {
	                spaceQuota: 2
	            }
	            horizontalAlignment: HorizontalAlignment.Fill
	            verticalAlignment: VerticalAlignment.Fill
	                     
	            GroupGeneralSettingsControl {
	                objectName: "generalSettingsContainer"
	                horizontalAlignment: HorizontalAlignment.Center
	            }
	            GroupAdminSettingsControl {
	                objectName: "groupAdminSettingsContainer"
	                visible: false
	                horizontalAlignment: HorizontalAlignment.Center
	            }
	            
	            GroupAdminSettingsForNonAdminControl {
	                objectName: "groupAdminSettingsForNonAdminContainer"
	                visible: false
	                horizontalAlignment: HorizontalAlignment.Center
	            }
	        }
        }
    }  // content: Container    
}
