import bb.cascades 1.0

BaseCustomDialog
{
    property string sender: "Sender"
    property bool sendDecline: false
    
    dialogTitle: qsTr("Ignore group invitation from %1?").arg(sender) + Retranslate.onLanguageChanged
    actionLabel: qsTr("Ignore") + Retranslate.onLanguageChanged
    
    contentContainer: Container
    {
        Container
        {            
            layout: StackLayout {
                orientation: LayoutOrientation.LeftToRight
            }
            
            Label {
	            textStyle.color: Color.create("#121212")
                textStyle.fontSize: FontSize.Medium	            
		        text: qsTr("Send decline response?") + Retranslate.onLanguageChanged
	            multiline: true
	            
	            layoutProperties: StackLayoutProperties {
                    spaceQuota:1
                }
	            
				horizontalAlignment: HorizontalAlignment.Left
				verticalAlignment: VerticalAlignment.Center;
	        }
            DialogCheckBox {
                topMargin: 0; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
                
                horizontalAlignment: HorizontalAlignment.Right;
                verticalAlignment: VerticalAlignment.Top;
                
                imageToggleButtonInstance.onCheckedChanged: {
                    sendDecline = checked
                }
            }
        }        
        
        Label {
            textStyle.color: Color.create("#121212")
            textStyle.base: SystemDefaults.TextStyles.BodyText
            text: qsTr("%1 will see that you declined the invitation.").arg(sender) + Retranslate.onLanguageChanged
            multiline: true
            content.flags: TextContentFlag.Emoticons
            
			horizontalAlignment: HorizontalAlignment.Fill;
			verticalAlignment: VerticalAlignment.Fill;
			
			topMargin: 10; leftMargin: 0; rightMargin: 0; bottomMargin: 0;
        }
    }
}
