import bb.cascades 1.0

/*

Displayed on Scene cover when app is minimized with no recent updates.


*/
Container {

   property string noUpdatesText:"There are no recent updates"
 
   background: Color.Black;
   horizontalAlignment: HorizontalAlignment.Fill
   verticalAlignment: VerticalAlignment.Fill


    layout: DockLayout {        
    }

    Container {
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        Container{
	        horizontalAlignment: HorizontalAlignment.Center
	        verticalAlignment: VerticalAlignment.Center
	
	        ImageView {
	            leftMargin: 0; topMargin: 0;  rightMargin: 0; bottomMargin: 0;
	            objectName: "bbmIcon"
	            imageSource: "asset:///images/NoContent/bbm_icon.png"
	            scalingMethod: ScalingMethod.AspectFill
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Center
	        }
	    }    
	
	    Label {
	            leftMargin: 0; topMargin: 0;  rightMargin: 0; bottomMargin: 0;
	            horizontalAlignment: HorizontalAlignment.Center
	            verticalAlignment: VerticalAlignment.Top
	            multiline: true
	            text: noUpdatesText
	            objectName: "noUpdatesLabel"
	            textStyle.base: SystemDefaults.TextStyles.BodyText
	            textStyle.fontSize: FontSize.Small
	            textStyle.color: Color.White
	            textStyle.textAlign: TextAlign.Center
	        }
	}
}
