import bb.cascades 1.0

Container {
    topPadding: 10
    leftPadding: 10
    rightPadding: 10
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        topPadding: 10
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        ImageView {
            objectName: "icon"
            imageSource: "asset:///images/defaultAvatar.png"
            layoutProperties: StackLayoutProperties {
                spaceQuota: -1
            }
            verticalAlignment: VerticalAlignment.Center
            horizontalAlignment: HorizontalAlignment.Fill
        }
        Container {
            leftPadding: 10
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            TextArea {
                objectName: "message"
                editable: false
                text: qsTr ("Invitation to <name> to launch <app name> has been sent.")
                content.flags: TextContentFlag.Emoticons
                textStyle.base: SystemDefaults.TextStyles.SubtitleText
                textStyle.color: Color.DarkGreen
                horizontalAlignment: HorizontalAlignment.Left
                verticalAlignment: VerticalAlignment.Fill
            }
            Container {
                horizontalAlignment: HorizontalAlignment.Center
                Label {
                    objectName: "expiry"
                    text: "<ExpiryTime>"
                }
            }
        }
    }
    //Button {
      //  objectName: "cancelButton"
       // text: qsTr ("Cancel")
         //   horizontalAlignment: HorizontalAlignment.Center
          //  verticalAlignment: VerticalAlignment.Fill
    //}
}
