import bb.cascades 1.0

Container
{   
    Container
    {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        
        ImageView {
            objectName: "listCommenterAvatar"
            imageSource: "asset:///images/defaultAvatar.png"
            layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
            scalingMethod: ScalingMethod.AspectFill
            leftPadding: 0
            topPadding: 0
            maxWidth: 768 / 6     // measure taken from PSDs
            maxHeight: maxWidth
            minWidth: maxWidth
            minHeight: maxWidth
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
        }
        
        Container
        {
            objectName: "messageContainer"
            leftPadding: 15
            topPadding: 5
            layoutProperties: StackLayoutProperties {
                spaceQuota: 5
            }
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
            
            Label {
                objectName: "contactName"                
                multiline: true
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Top
                textStyle.fontSize: FontSize.Large
                textStyle.color: _UIStyleManager.primaryTextColor
                content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
                textFormat: TextFormat.Plain
                topMargin: 0
                bottomMargin: 0
            }

            Container{
                objectName: "messageContainer"
                horizontalAlignment: HorizontalAlignment.Fill
                verticalAlignment: VerticalAlignment.Fill
                
                layout: DockLayout {}
                
                Container{
                  objectName: "messageHighlight"
                  horizontalAlignment: HorizontalAlignment.Fill
                  verticalAlignment: VerticalAlignment.Fill 
                  background: Color.create("#ff00a8df")
                  visible: false 
                }
	            Label {
	                objectName: "message"                
	                multiline: true
	                horizontalAlignment: HorizontalAlignment.Fill
	                verticalAlignment: VerticalAlignment.Fill
	                content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
	                textFormat: TextFormat.Plain
	                textStyle.fontSize: FontSize.Small
	                textStyle.color: _UIStyleManager.secondaryTextColor
                    topMargin: 0
	                bottomMargin: 0
	            }
	        }

            Label {
                objectName: "timestamp"                
                textStyle.fontSize: FontSize.XSmall
                textStyle.color: _UIStyleManager.secondaryTextColor
                topMargin: 0
                bottomMargin: 0
            }
        }
    }
    
    ImageView //horizontal line separator
	{
		objectName: "separator"
		horizontalAlignment: HorizontalAlignment.Fill
		verticalAlignment: VerticalAlignment.Fill
		imageSource: "asset:///images/MainScreen/cells/content_horizontal_line.png"       
	}
}
