import bb.cascades 1.0

Page {
    titleBar: TitleBar {
        
        visibility: ChromeVisibility.Visible
        title: qsTr("Crop") + Retranslate.onLanguageChanged
        acceptAction: ActionItem {
            id: acceptAction
            title: qsTr("Set") + Retranslate.onLanguageChanged
            onTriggered: {
                acceptAction.enabled = false;
                dismissAction.enabled = false;
                cs.cropImage( cropControl.imageSource, Qt.rect( cropControl.viewableArea.x, cropControl.viewableArea.y, cropControl.cropSize, cropControl.cropSize ), cropControl.contentScale );
            }
        }
        dismissAction: ActionItem {
            id: dismissAction
            title: qsTr("Cancel") + Retranslate.onLanguageChanged
            onTriggered: {
                console.log("Navigate Back to picker");
                cs.cancelCropper();
            }
        }
    }

    Container {
        layout: DockLayout {
        }
        CropControl {
            id: cropControl
            imageSource: ""
            cropSize: 700
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill

        }
        Container {
            objectName: "indicatorPlate"
            background: Color.Black
            touchPropagationMode: TouchPropagationMode.None
      
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill
      
            opacity: 0.0
        }
        ActivityIndicator {            
            opacity: 0.0
            objectName: "cropIndicator"
            
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center

        }
    }
}
