import bb.cascades 1.0

Container {
    
    property bool showEmptyContainer: false
    
    objectName: "profileBoxTimeLineContent"
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
            
    layout: DockLayout {}
    
    Container {
        
        visible: showEmptyContainer
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        
        ImageView {
            imageSource: "asset:///images/emptyTabs/no_apps.png"
            horizontalAlignment: HorizontalAlignment.Center
        }
        Label {
            horizontalAlignment: HorizontalAlignment.Fill
            text: qsTr("No Apps") + Retranslate.onLanguageChanged
		    textStyle.color: _UIStyleManager.getPrimaryTextColor
		    textStyle.fontSize: FontSize.Large
		    textStyle.textAlign: TextAlign.Center
        }
    }
    
    ListView
    {
        id: boxesListView
        objectName: "boxesListView"
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
    }
}