import bb.cascades 1.0
import bbm 1.0

Page {

    property alias showEmptyUpdateContainer: profileBottomControl.showEmptyUpdateContainer
    
    content: Container {
        
        layout: DockLayout {
        }

        background: _UIStyleManager.containerColor

        Container {

            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Fill

            layout: StackLayout {
                orientation: LayoutOrientation.TopToBottom
            }
            
            // Container to hold an avatar and the text area for and/or video chat icon and reset button in case when ProfilePage.qml displays contact's profile.
            Container {
                id: profileBannerContainer
                objectName: "profileBannerContainer"
                horizontalAlignment: HorizontalAlignment.Fill
            }

            // Bottom control is the segmented control and controls for each of the segnets "Details - Updates - Apps"
	        ProfileBottomControl{
	            id: profileBottomControl
                objectName: "profileBottomControl"
            }
	    }
        
        Container { //this is a place holder for emoticon panel
            objectName: "bottomContainer"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Bottom
        }
    }
}
