import bb.cascades 1.0

Container {
    
    property bool showEmptyContainer: false
    
    objectName: "profileTimeLineContent"
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
            
    layout: DockLayout {}
    
    Container {
        
        visible: showEmptyContainer
        horizontalAlignment: HorizontalAlignment.Center
        verticalAlignment: VerticalAlignment.Center
        
        ImageView {
            imageSource: "asset:///images/emptyTabs/no_updates.png"
            preferredHeight: 181
            preferredWidth: 181
            scalingMethod: ScalingMethod.AspectFit
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
        }
        Label {
            multiline: true
            text: qsTr("No updates.") + Retranslate.onLanguageChanged
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            textStyle.color: _UIStyleManager.primaryTextColor
            textStyle.fontSize: FontSize.Large
            textStyle.textAlign: TextAlign.Center
            topMargin: 0
            leftMargin: 0
            rightMargin: 0
            bottomMargin: 0

        }
    }
    
    ListView
    {
        id: updatesListView
        objectName: "updatesListView"
        layoutProperties: StackLayoutProperties {
            spaceQuota: 1
        }
    }
}