import bb.cascades 1.0

Container {
	property string updateText: ""
	property string timeText: ""	
	property bool isHighlight: false
	
    horizontalAlignment: HorizontalAlignment.Fill
    
    layout: DockLayout {
    }    
	
	Container { //this is a placeholder for highlight imageview
        objectName: "highlightContainer"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: DockLayout {
        }
    }
    
    Container { //this is a placeholder for pressed highlight imageview
        objectName: "pressedHighlightContainer"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        layout: DockLayout {
        }
    }
    
    Container {
        layout: StackLayout {
            orientation: LayoutOrientation.LeftToRight
        }
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        RecentUpdatesTextListItem {
        	layoutProperties: StackLayoutProperties {
                spaceQuota: 1
            }
        	
		    horizontalAlignment: HorizontalAlignment.Fill
			verticalAlignment: VerticalAlignment.Fill
		    
		    updateContentText: updateText
		    timeStampText: timeText
		}
    }
    
    DefaultSeparator {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Bottom
    }
}
