import bb.cascades 1.0

BaseCustomDialog {
    dialogTitle: qsTr("Security Question")
    actionLabel: qsTr("OK")
    rightButtonEnabled: false
    property string question: "Sample question"
    contentContainer: Container {
        Label {
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center            
            text: question
            textStyle.color: Color.create("#121212")
            textStyle.fontSize: FontSize.Medium
        }
        
        Container {// the placeholder for SmartTextArea of security answer
            objectName: "answerContainer"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
        }
        Label {
            objectName: "infoLabel"
            horizontalAlignment: HorizontalAlignment.Fill
            verticalAlignment: VerticalAlignment.Center
            textStyle.color: Color.create("#555555")
            text: qsTr("Tip: Answers are case sensitive.") + Retranslate.onLanguageChanged
            textStyle.fontSize: FontSize.Medium
            textStyle.fontStyle: FontStyle.Italic
        }
    }
}
