import bb.cascades 1.0

SettingPair
{
    signal stateChanged(bool checked)
	
	property alias toggleButtonInstance: toggleButton
    property bool userDriven: false
    property bool enableMode: false
    
    ToggleButton
    {
        id: toggleButton
        horizontalAlignment: HorizontalAlignment.Right
        verticalAlignment: VerticalAlignment.Center
        checked: enableMode
        
        onTouch: {
            userDriven = true
        }
                
        onCheckedChanged: {
            if (userDriven) {
                stateChanged(checked)
            }
        }
    }
}