import bb.cascades 1.0

SetupBase
{
    property bool showTip: false

    topContent: Container
	{
		horizontalAlignment: HorizontalAlignment.Fill;
		verticalAlignment: VerticalAlignment.Fill;
			
		ActivityIndicator {
		    id: myIndicator
            objectName: "activityIndicator"
            minHeight: 280
            
            horizontalAlignment: HorizontalAlignment.Center;
            verticalAlignment: VerticalAlignment.Center;
            onCreationCompleted: {
                myIndicator.start()
            }
            leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: 0;
        }
        
        Label {
            multiline: true
            text: qsTr("Associating BBM with your BlackBerry ID") + Retranslate.onLanguageChanged
		    textStyle.color: _UIStyleManager.primarySetupTextColor
		    textStyle.fontSize: FontSize.Large
		    textStyle.textAlign: TextAlign.Center
		    horizontalAlignment: HorizontalAlignment.Center;
		}
    } // end content
    
    bottomContent: Container
	{
	    visible: showTip
	    
	     horizontalAlignment: HorizontalAlignment.Fill;
	     verticalAlignment: VerticalAlignment.Fill;
	    
        Label {
		    textStyle.color: _UIStyleManager.primarySetupTextColor
		    textStyle.fontSize: FontSize.Large
		    text: qsTr("Did you know?") + Retranslate.onLanguageChanged
		    horizontalAlignment: HorizontalAlignment.Fill;
		}
		
		Label {
            multiline: true
		    textStyle.color: _UIStyleManager.secondarySetupTextColor
		    textStyle.fontSize: FontSize.Small
		    text: qsTr("You can now start video and chats from BBM (if supported).") + Retranslate.onLanguageChanged
		}
	}
    
} // Page Content