import bb.cascades 1.0

SetupBase
{
    topContent: Container
	{
		horizontalAlignment: HorizontalAlignment.Fill;
		verticalAlignment: VerticalAlignment.Fill;
			
        ImageView {
		    imageSource: "asset:///images/SetupPage/setupError.png"
            horizontalAlignment: HorizontalAlignment.Center;
            leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
        }
        
		Label {
		    objectName: "error"
            multiline: true
		    textStyle.color: _UIStyleManager.primarySetupTextColor
		    textStyle.fontSize: FontSize.Large
		    textStyle.textAlign: TextAlign.Center
		    horizontalAlignment: HorizontalAlignment.Center;
		    leftMargin: 0; rightMargin: 0;topMargin: 0;bottomMargin: _UILayoutManager.defaultPadding;
            text: qsTr("A problem has occurred in BBM. Please try again later.") + Retranslate.onLanguageChanged
		}
		
		Label {
		    objectName: "errorDescription"
            multiline: true
		    textStyle.color: _UIStyleManager.secondarySetupTextColor
		    textStyle.fontSize: FontSize.Small
		    textStyle.textAlign: TextAlign.Center
	        horizontalAlignment: HorizontalAlignment.Center;
		}
    } // end content
    
    bottomContent: Container 
    {
        horizontalAlignment: HorizontalAlignment.Fill;
        verticalAlignment: VerticalAlignment.Fill;
        
		layout: StackLayout {
		    orientation: LayoutOrientation.LeftToRight
		}
	       
	    Container {
	        
            horizontalAlignment: HorizontalAlignment.Fill;
            verticalAlignment: VerticalAlignment.Fill;
	        
	        layout: DockLayout {}
	        
	        layoutProperties: StackLayoutProperties {
                 spaceQuota: 1
            }
	        
    	    Button {
    	        objectName: "exit"
    	        text: qsTr("Exit") + Retranslate.onLanguageChanged
    
                horizontalAlignment: HorizontalAlignment.Fill
    	    }
	    }
	    
  	    Button {
	        objectName: "retry"
	        text: qsTr("Retry") + Retranslate.onLanguageChanged
	        
            horizontalAlignment: HorizontalAlignment.Fill
	    }     
    }
    
} // Page Content