import bb.cascades 1.0

SetupBase
{
    property string progressMessageText: "Completing set up";
    property bool showTip: false
    
    topContent: Container
	{
		horizontalAlignment: HorizontalAlignment.Fill;
		verticalAlignment: VerticalAlignment.Fill;
		
		ActivityIndicator {
		    id: myIndicator
            objectName: "activityIndicator"
            minHeight: 280
            
            onCreationCompleted: {
                myIndicator.start()
            }
            
            horizontalAlignment: HorizontalAlignment.Center;
            leftMargin: 0;rightMargin: 0;topMargin: 0;bottomMargin: 0;
        }
        
        Label {
            multiline: true
            objectName: "progressMessage"
		    textStyle.color: _UIStyleManager.primarySetupTextColor
		    textStyle.fontSize: FontSize.Large
		    textStyle.textAlign: TextAlign.Center
		    horizontalAlignment: HorizontalAlignment.Center;
		    text: progressMessageText
		}
		
    } // end content
    
    bottomContent: Container
	{
	    visible: showTip
	    
	    horizontalAlignment: HorizontalAlignment.Fill;
	    verticalAlignment: VerticalAlignment.Fill;
	    
        Label {
		    textStyle.color: _UIStyleManager.primarySetupTextColor
		    textStyle.fontSize: FontSize.Large
		    text: qsTr("Did you know?") + Retranslate.onLanguageChanged
		    horizontalAlignment: HorizontalAlignment.Fill;
		}
		
		Label {
            multiline: true
		    textStyle.color: _UIStyleManager.secondarySetupTextColor
		    textStyle.fontSize: FontSize.Small
		    text: qsTr("You can now start video and voice chats from BBM (if supported).") + Retranslate.onLanguageChanged
		}
	}
    
} // Page Content
