import bb.cascades 1.0

Container
{
    property bool showRedBorder: false
    
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Center
    
	objectName: "mainContainer"

    layout: DockLayout {}
    
    ImageView {
        objectName: "redBorderImage"
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        imageSource: "asset:///images/RedBorder.png"
        visible: showRedBorder
    } 
            
    TextField {
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        
        objectName: "smartTextField"
        textStyle.color: Color.Black
        textStyle.base: SystemDefaults.TextStyles.BodyText
        content.flags: TextContentFlag.Emoticons | TextContentFlag.ActiveText
        textFormat: TextFormat.Plain
    }
}